bcmwl-kernel-source_6.20 update breaks for BCM4313

Bug #1097519 reported by Harald Rudell on 2013-01-08
462
This bug affects 162 people
Affects Status Importance Assigned to Milestone
bcmwl (Ubuntu)
Medium
Unassigned
ubuntu-drivers-common (Ubuntu)
Undecided
Unassigned

Bug Description

On upgrade to 13.04, the wl.ko, package bcmwl-kernel-source drier is selected.

This driver does not allow the computer to boot and causes great pain in recovery for users, most of which will not be able to get the Ubuntu installation functional
https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1097509

Instead use the driver brcmsmac, that actually works with BCM4313

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.7.0-7-generic 3.7.0-7.15
ProcVersionSignature: Ubuntu 3.7.0-7.15-generic 3.7.0
Uname: Linux 3.7.0-7-generic i686
ApportVersion: 2.7-0ubuntu2
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: foxyboy 1904 F.... pulseaudio
Date: Tue Jan 8 15:36:51 2013
HibernationDevice: RESUME=UUID=695c8efa-91da-424d-983e-cc08dd01eba3
MachineType: LENOVO 20040M18
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-7-generic root=UUID=8b809c57-f15a-464f-a7a9-fafb8abaa715 ro quiet
RelatedPackageVersions:
 linux-restricted-modules-3.7.0-7-generic N/A
 linux-backports-modules-3.7.0-7-generic N/A
 linux-firmware 1.99
SourcePackage: linux
UpgradeStatus: Upgraded to raring on 2013-01-08 (0 days ago)
dmi.bios.date: 08/30/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 24CN62WW
dmi.board.name: Caucasus2
dmi.board.vendor: LENOVO
dmi.board.version: Rev 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Lenovo
dmi.chassis.version: Rev 1.0
dmi.modalias: dmi:bvnLENOVO:bvr24CN62WW:bd08/30/2010:svnLENOVO:pn20040M18:pvrLenovoIdeapadS10-3t:rvnLENOVO:rnCaucasus2:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
dmi.product.name: 20040M18
dmi.product.version: Lenovo Ideapad S10-3t
dmi.sys.vendor: LENOVO

Harald Rudell (harald-rudell) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

This isn't a kernel bug. The kernel is not in control of whether or not bcmwl-kernel-source is installed.

Is the problem that you got prompted to install the proprietary driver, did so, and it didn't work? Or did you have it installed prior to upgrading? If the former then I'd agree that we probably shouldn't prompt people to install bcmwl-kernel-source for hardware supported by brcmsmac.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Harald Rudell (harald-rudell) wrote :

The problem is that on upgrade, Ubuntu picks a driver that hangs common commands like sudo, ifconfig etc. and prevents any networking.

There are no questions on upgrade, and Ubuntu picks this driver even if brcmsmac was used previously.

Most users that are subject to this bug won't be able to recover their installations.

I am subject to the bug every six months.

Changed in linux (Ubuntu):
status: Incomplete → New
Harald Rudell (harald-rudell) wrote :

I would want for the kernel to pick brcmsmac over wl for BCM4313 and maybe other hardware, too.

Today, wl has to be blacklisted.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

The decision of which driver to load is not up to the kernel. When wl is installed it blacklists brcmsmac (and b43 and bcma). When the kernel emits the module alias for the device, which triggers the loading of the module, the blacklist causes modprobe to ignore brcmsmac (actually bcma, which would in turn cause brcmsmac to load) as a candidate for the device. The kernel uses whatever driver modprobe loads for the device.

Okay, I just found a reference stating that Ubuntu *does* automatically install Broadcom proprietary drivers if you check the "install proprietary software" checkbox when installing. The ubuntu-drivers tool is used for doing this, so I'm going to reassign the bug for consideration of whether ubuntu-drivers should cease installing bcmwl-kernel-source for wireless devices supported by brcmsmac, since brcmsmac is officially supported by Broadcom.

affects: linux (Ubuntu) → ubuntu-drivers-common (Ubuntu)
Martin Pitt (pitti) wrote :

This means that we need to reduce the Modaliases: that bcmwl announces again. Unfortunately the latest upstream version completely dropped the list of supported models (so the modalias is just pci:v000014E4d*sv*sd*bc02sc80i*, i. e. all network devices from Broadcom).

affects: ubuntu-drivers-common (Ubuntu) → bcmwl (Ubuntu)
Changed in bcmwl (Ubuntu):
status: Confirmed → Triaged
Adam Porter (alphapapa) wrote :

Bug 1154219 is relevant here.

This is extremely confusing. Quantal worked perfectly for my BCM4313 using bcmwl-kernel-source 5.100.82.112. Then I upgraded to Raring, which used 6.20.155.1, which fails with this hardware. I reinstalled the 5.100.82.112 package from Quantal and it works perfectly again.

Now I see this bug which suggests that I should use the broadcom-sta-* packages instead, however these are in multiverse, while bcmwl-kernel-source is in restricted. Seeing as how multiverse is unsupported, shouldn't users use the package in restricted?

Why are there even two packages that seem to do the same thing? The version of broadcom-sta-* is 5.100.82.112, which is the version of bcmwl-kernel-source that works. And the descriptions of both packages have the exact same list of supported network cards.

This bug was reported months before the Raring release, but it was neglected, and it's still biting users today. There are many duplicate bug reports being caused by this problem.

This bug should be of Critical importance. It is causing crashes, build failures, excessive errors in kernel logs, and preventing wireless networking from working at all on some systems.

summary: - Use brcmsmac driver for BCM4313
+ Wrong driver used for older Broadcom chipsets
Changed in bcmwl (Ubuntu):
status: Triaged → Confirmed

P.S. This comment indicates a newer release may work with these older chipsets, but it would probably be best to stick with the known-good 5.100.82.112 driver.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1110139/comments/45

Adam Porter (alphapapa) wrote :

And the regression was caused here: bug 923809

Adam Porter (alphapapa) wrote :

I'm astonished at how many duplicates I'm finding of this bug. At its core it goes back about three years, because Ubuntu's not automatically switched to the broadcom-sta-* package for these chipsets, but remained with bcmwl-kernel-source. Eventually bcmwl-kernel-source got bumped to an upstream release that is dangerously incompatible with some older chipsets (perhaps Broadcom's fault), and so all these users got bumped to it.

The core problem of using the wrong package has led to problems such as:

* Failure to build module
* Excessive errors in kernel logs
* Unusable wifi on systems
* Interference with other devices on local WLANs (!)

This even has regressed Precise because Precise 12.04.2 pushed out the 6.20.155.1 version of bcmwl-kernel-source, which has this problem with older chipsets.

For some users, uninstalling bcmwl-kernel-source and installing broadcom-sta-* may fix their problem. And/or, using bcmwl-kernel-source 5.100.82.112 from Quantal may do it. For other chipsets, using the b43* packages may be the solution, but I think that may be a separate bug. I'm currently using bcmwl-kernel-source 5.100.82.112 from Quantal, but broadcom-sta-* in Raring is also 5.100.82.112, so I'm guessing it will also work. However, since broadcom-sta-source is in multiverse, I'm not sure if switching to it is wise, especially for the long term.

This is my best understanding of the problem after going through over 80 bug reports here. An Ubuntu developer could probably understand it better than me.

Adam Porter (alphapapa) wrote :

Further reading of old bug reports suggests that for many the proper solution is to simply uninstall all bcmwl-kernel-source and broadcom-sta-* packages so that the in-tree driver will be used. e.g. http://catlingmindswipe.blogspot.com.br/2012/07/broadcom-wireless-fix-for-ubuntu-1210.html

Adam Porter (alphapapa) wrote :

Finally, bug 1134477 seems relevant. If that had been fixed, this might have been too.

Adam Porter (alphapapa) wrote :

And to confirm: removing bcmwl-kernel-source and broadcom-sta-source and using the in-tree brcmsmac driver is working on my Acer Aspire One AO722 with BCM4313 chipset on Raring with the 3.8.0-23 kernel.

Download full text (3.1 KiB)

Yes this is a work around but the brcmsmac is not as efficient, uses more
power and overall does not have nearly the throughput of the bcmwl. My work
around for 100+ Dell
Inspiron and Latitude laptops has been to ditch the Broadcom chip and
replace it with an Intel chip. The Centrino 6250 has worked very well and
is an inexpensive upgrade.

Intel does what Broadcom should do work with the open source community to
produce the best drivers possible.
On Jun 9, 2013 2:45 PM, "Adam Porter" <email address hidden> wrote:

> And to confirm: removing bcmwl-kernel-source and broadcom-sta-source and
> using the in-tree brcmsmac driver is working on my Acer Aspire One AO722
> with BCM4313 chipset on Raring with the 3.8.0-23 kernel.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1112924).
> https://bugs.launchpad.net/bugs/1097519
>
> Title:
> Wrong driver used for older Broadcom chipsets
>
> Status in “bcmwl” package in Ubuntu:
> Confirmed
>
> Bug description:
> On upgrade to 13.04, the wl.ko, package bcmwl-kernel-source drier is
> selected.
>
> This driver does not allow the computer to boot and causes great pain in
> recovery for users, most of which will not be able to get the Ubuntu
> installation functional
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1097509
>
> Instead use the driver brcmsmac, that actually works with BCM4313
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: linux-image-3.7.0-7-generic 3.7.0-7.15
> ProcVersionSignature: Ubuntu 3.7.0-7.15-generic 3.7.0
> Uname: Linux 3.7.0-7-generic i686
> ApportVersion: 2.7-0ubuntu2
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: foxyboy 1904 F.... pulseaudio
> Date: Tue Jan 8 15:36:51 2013
> HibernationDevice: RESUME=UUID=695c8efa-91da-424d-983e-cc08dd01eba3
> MachineType: LENOVO 20040M18
> MarkForUpload: True
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-7-generic
> root=UUID=8b809c57-f15a-464f-a7a9-fafb8abaa715 ro quiet
> RelatedPackageVersions:
> linux-restricted-modules-3.7.0-7-generic N/A
> linux-backports-modules-3.7.0-7-generic N/A
> linux-firmware 1.99
> SourcePackage: linux
> UpgradeStatus: Upgraded to raring on 2013-01-08 (0 days ago)
> dmi.bios.date: 08/30/2010
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 24CN62WW
> dmi.board.name: Caucasus2
> dmi.board.vendor: LENOVO
> dmi.board.version: Rev 1.0
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: Lenovo
> dmi.chassis.version: Rev 1.0
> dmi.modalias:
> dmi:bvnLENOVO:bvr24CN62WW:bd08/30/2010:svnLENOVO:pn20040M18:pvrLenovoIdeapadS10-3t:rvnLENOVO:rnCaucasus2:rvrRev1.0:cvnLenovo:ct10:cvrRev1.0:
> dmi.product.name: 20040M18
> dmi.product.version: Lenovo Ideapad S10-3t
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1097519/+...

Read more...

As I said many times, we need b43 (in tree driver) as an option for u-d-c or jockey.

pitti, stop FUD about b43 and adopt it.

Martin Pitt (pitti) wrote :

For the record, if you just unselect the bcmwl driver, ubuntu will use b43. It's exactly similar to unselecting nvidia (then it will use nouveau) or unselecting fglrx (then it will use ati).

Bernardo Reino (reinob) wrote :

@Adam Porter,

Please relax. You're making a whole mess of the entire bcmwl situation because *you* think that the in-tree driver works OK for BCM4313, which is (unfortunately) simply not true.

I'm astonished at how easy it is for ONE person to make such a mess of a linux distribution.

Ma Hsiao-chun (mahsiaochun) wrote :

Besides the potential forever b43 debate.

Maybe we should make wl driver versioned as NVIDIA drivers now.

I have the 4312-LPHY chipset and the only way for me to get wifi to work correctly and consistently is to install the bcmwl-kernel-source package.

With kernel 3.7 and up all versions except "bcmwl-kernel-source_6.30.223.30+bdcom-0ubuntu1_amd64.deb" gives me a kernel panic.

This made 13.04 unusable for me until I got the workaround to install the previous mentioned package.

Any other driver combination apart from bcmwl makes my WiFi to disconnect and ask for authentication every 5 seconds and is thus not usable.

Not sure if the above is of any significance to what you are proposing but please don't remove the bcmwl-kernel-source option as an option ;)

On Mon, Jun 10, 2013 at 1:38 AM, Bernardo Reino
<email address hidden> wrote:
> @Adam Porter,
>
> Please relax. You're making a whole mess of the entire bcmwl situation
> because *you* think that the in-tree driver works OK for BCM4313, which
> is (unfortunately) simply not true.

I know it works on my system because I verified it myself. I have a
BCM4313 and it works perfectly for me. If this is not the case for
you, explain. I did not claim that it's the best solution for
everyone.

> I'm astonished at how easy it is for ONE person to make such a mess of a
> linux distribution.

Really? So I've made a mess of the entire Ubuntu distro? By spending
several hours cleaning up over 100 stale and duplicate bug reports on
the bcmwl package? I cleaned up a major mess in one area but get
blamed for making a mess of everything, everywhere. I guess I should
have known better. No good deed goes unpunished. You're welcome.

Sam Coffland (sam-truckmovers) wrote :
Download full text (5.7 KiB)

Let me throw my Two cents in here. Adam I do appreciate your work on this
and so should everyone else. Reino please remember this is open source and
without people like Adam cleaning up these bugs and bring them into one
place we would not even be having this conversation as my bug report and
many more were scattered around and not generating any discussion.

That being said I do not like the brcmsmac driver and know for fact that it
is not nearly are good as the bcmwl driver. I have over 100 laptops with
the bcm4313 and bcm4312 chips. These all come out of the box with Windows 7
preinstalled. I wipe Windows when I deploy them with Ubuntu 12.04 LTS for
our users. The fully functioning bcmwl driver can reach speeds of up 10
Mbps the Windows driver can reach speeds of up to 12Mbps. The brcmsmac in
the same environment can only reach speeds of 2-3Mbps. It also uses much
more power draining the laptop battery takes longer to connect and does not
roam from AP to AP nearly as quick or efficiently. Installing
the 5.100.82.112 bcmwl driver from the multiverse is not an option in our
company enviorment so the best solutions has simple been to get rid of the
Broadcom chips.

I hope someone from Broadcom is reading this and anyone looking to buy a
laptop takes note of this do not waste your time with Broadcom chips as
they do not support the open source community. Support Intel as they
develop their driver's in the open and consistently release support Linux.
Broadcom may work for a while but you will eventually get bit as in this
instance when they update their drivers and drop support for older chips.

To the Ubuntu team these are the type of thing that we want you focused on
fixing not developing a splashier interface. If the network does not
connect it does not matter how many online retailers are integrated in the
the Dash. Make the basics work well first. If we must use proprietary
drivers test them before pushing them out as the vendors with putting these
out frankly don't care about the open source community.

Again Thanks Adam for all of your work on this.

---
*Sam Coffland*
Systems Administrator
TruckMovers.com, Inc.
<email address hidden>
816.878.6046 [phone]
http://truckmovers.com

On Tue, Jun 11, 2013 at 9:45 AM, Adam Porter <email address hidden>wrote:

> On Mon, Jun 10, 2013 at 1:38 AM, Bernardo Reino
> <email address hidden> wrote:
> > @Adam Porter,
> >
> > Please relax. You're making a whole mess of the entire bcmwl situation
> > because *you* think that the in-tree driver works OK for BCM4313, which
> > is (unfortunately) simply not true.
>
> I know it works on my system because I verified it myself. I have a
> BCM4313 and it works perfectly for me. If this is not the case for
> you, explain. I did not claim that it's the best solution for
> everyone.
>
> > I'm astonished at how easy it is for ONE person to make such a mess of a
> > linux distribution.
>
> Really? So I've made a mess of the entire Ubuntu distro? By spending
> several hours cleaning up over 100 stale and duplicate bug reports on
> the bcmwl package? I cleaned up a major mess in one area but get
> blamed for making a mess of everything, everywhere. I g...

Read more...

Adam Porter (alphapapa) wrote :

Sam, thanks for your encouraging words. I'm simply a user who ran
into a bug and had some free time to mess with the bug reports I
found. I expected a little random pushback, but I get too defensive
sometimes. Sometimes people (including myself) forget that we're all
working toward the same goal here: stuff that just works. :)

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
Bernardo Reino (reinob) wrote :

OK. Perhaps it would be interesting to actually define what this (1097519) bug is about. According to the first message, it's about using the brcmsmac driver for the BCM4313 chip. No more, no less.

Now lots of other, unrelated, bugs (mostly bugs about the bcmwl driver) have been merged into this one. This, to me, doesn't make sense.

If one were to "fix" this bug now it would mean that brcmsmac driver is chosen by default for BCM4313, but none of the allegedly-duplicate bcmwl bugs would be solved. Meaning people having problems with bcmwl would not have those problems solved.

Note that you may be happy with brcmsmac (which kernel version?). Please note that not everyone is using kernel 3.9 or 3.10. The linux drivers are in constant development, so what works for you now may not work with previous or future kernels. So again, you need to specify exactly which kernel applies to THIS bug.

This is the reason for saying you've made a mess of bcmwl (and hence of Ubuntu, for all I care): you have over-simplified the situation so much that now most bugs related to bcmwl are marked as incomplete or invalid, because YOUR solution is to use another driver.

Please open a bug saying "Ubuntu should default to brcmsmac for this-and-that chip using this-and-that kernel".

*I* want to use bcmwl, and *I* want bcmwl bugs being properly reported and solved (if at all possible, the core of the driver is proprietary). I might try brcmsmac with a recent kernel and see if the situation has improved. But, at least up to 3.5, brcmsmac gave me no power savings and broken channel/SSID detection, meaning not even my WLAN was found. And if found, the connection would break every minute or so.

I had many problems with this wireless chip, because neither of
packages/modules from ubuntu repository didn't work well in my 3.8
kernel ubuntu 13.04. What I (finally) found useful was the compiling the
triver on my own, taken from broadcom's website. With the patches
described in the post below, my notorious wireless chip worked as a charm.

http://ubuntuforums.org/showthread.php?t=2140640&page=4&p=12629619#post12629619

I agree with Bernado in comment #26. If this bug is campaign to get brcmsmac installed by default, then

a) Bug #1160471 should not have been marked as a duplicate. Bug #1160471 is about v6.20.155.1 of the bcmwl drivers that was automatically installed with Raring not working (causing kernel panic on some machines like mine) whereas the previous version, v5.100.82.112, worked extremely well (I am using them now).

b) I don't agree. I tried the brcmsmac drivers when I had problems with the broadcom ones and they don't work. The signal strength is so weak that I have to be stood next to the router and even then it frequently drops out. One day it might be a viable solution, but not now.

Download full text (3.6 KiB)

I think the best solutions would be to pull the 6.20 BCMWL driver and
downgrade the official repos to the 5.100 BCMWL driver.

In the future do not roll out new Broadcom drivers until they have been
thoroughly tested by the community.

I do believe most if not all of these bug reports would resolved with this
solution so perhaps they are the same bug. Brcmsmac is just not the correct
fix.
On Jun 12, 2013 5:06 PM, "Poru" <email address hidden> wrote:

> I agree with Bernado in comment #26. If this bug is campaign to get
> brcmsmac installed by default, then
>
> a) Bug #1160471 should not have been marked as a duplicate. Bug #1160471
> is about v6.20.155.1 of the bcmwl drivers that was automatically
> installed with Raring not working (causing kernel panic on some machines
> like mine) whereas the previous version, v5.100.82.112, worked extremely
> well (I am using them now).
>
> b) I don't agree. I tried the brcmsmac drivers when I had problems with
> the broadcom ones and they don't work. The signal strength is so weak
> that I have to be stood next to the router and even then it frequently
> drops out. One day it might be a viable solution, but not now.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1112924).
> https://bugs.launchpad.net/bugs/1097519
>
> Title:
> Wrong driver used for older Broadcom chipsets
>
> Status in “bcmwl” package in Ubuntu:
> Confirmed
> Status in “ubuntu-drivers-common” package in Ubuntu:
> Confirmed
>
> Bug description:
> On upgrade to 13.04, the wl.ko, package bcmwl-kernel-source drier is
> selected.
>
> This driver does not allow the computer to boot and causes great pain in
> recovery for users, most of which will not be able to get the Ubuntu
> installation functional
> https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1097509
>
> Instead use the driver brcmsmac, that actually works with BCM4313
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.04
> Package: linux-image-3.7.0-7-generic 3.7.0-7.15
> ProcVersionSignature: Ubuntu 3.7.0-7.15-generic 3.7.0
> Uname: Linux 3.7.0-7-generic i686
> ApportVersion: 2.7-0ubuntu2
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: foxyboy 1904 F.... pulseaudio
> Date: Tue Jan 8 15:36:51 2013
> HibernationDevice: RESUME=UUID=695c8efa-91da-424d-983e-cc08dd01eba3
> MachineType: LENOVO 20040M18
> MarkForUpload: True
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.7.0-7-generic
> root=UUID=8b809c57-f15a-464f-a7a9-fafb8abaa715 ro quiet
> RelatedPackageVersions:
> linux-restricted-modules-3.7.0-7-generic N/A
> linux-backports-modules-3.7.0-7-generic N/A
> linux-firmware 1.99
> SourcePackage: linux
> UpgradeStatus: Upgraded to raring on 2013-01-08 (0 days ago)
> dmi.bios.date: 08/30/2010
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 24CN62WW
> dmi.board.name: Caucasus2
> dmi.board.vendor: LENOVO
> dmi.board.version: Rev ...

Read more...

Changed in bcmwl (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)

The merger of Bug #1174145 into this group is inappropriate. This bug appears to be related to getting brcmsmac selected by default, whereas Bug #1174145 is related to a WLAN interference issue that popped up between bcmwl-kernel-source versions 5.100.82.112+bdcom-0ubuntu3 shipped with 12.10 and 6.20.155.1+bdcom-0ubuntu6 shipped in 13.04. Therefore I have unmarked Bug #1174145 as being a duplicate of the bug discussed in this thread. If someone feels this is in error, please provide sufficient justification on Bug #1174145.

In relation to this bug, although my BCM4313 (PCI ID 14e4:4727) does work with the brcmsmac driver, the performance of brcmsmac leaves much to be desired compared with bcmwl-kernel-source.

Lubuntu 12.04 kernel 3.2.0-48-generic.

I was getting the sys.log spammed by ERROR @wl_cfg80211.

I was using Broadcom Corporation BCM4321 for wireless and the driver was wl: bcmwl-kernel-source.

I uninstalled everything that was installed and at

http://wireless.kernel.org/en/users/Drivers/b43

I found the solution:
sudo apt-get install firmware-b43-installer

Now I have:
~$ lsmod | grep "b43\|ssb\|bcma\|wl"
b43 342801 0
mac80211 436493 1 b43
cfg80211 178877 2 b43,mac80211
bcma 25651 1 b43
ssb 50691 1 b43

and all tty consoles have no spamming errors like before.

Dennis New (dennisn) wrote :

Sam Coffland's proposal from comment #29 seems to be the most sensible IMHO. I also have a BCM4313 on my Acer Aspire One, which has been broken with this upgraded wl.ko driver. brcmsmac is not an option for me since it doesn't support ad-hoc mode, which I require.

Dennis New (dennisn) wrote :

So, after a bit of hacking around, I was able to get my BCM4313 working with the latest bcmwl-6.30.223.30 and the latest kernel 3.10.0.

I think the main problem that I originally had, and that others
( https://mail.gnome.org/archives/networkmanager-list/2013-February/msg00125.html )
started having was due to the bcmwl driver changing to use API=CFG80211 (the current make default) instead of API=WEXT, which I assume it was using before? Well, switching back to WEXT made things work for me.

Getting it to compile with 3.10.0 was an additional tangential hurdle -- the function "create_proc_entry" no longer exists. Perhaps something like this should do the trick:

--- wl_linux.c 2013-07-31 21:28:10.000000000 -0400
+++ /sloppyhacked/wl_linux.c 2013-07-31 23:18:22.000000000 -0400
@@ -3461,19 +3461,27 @@
        return length;
 }

+static const struct file_operations wlp_fops = {
+ .owner = THIS_MODULE,
+ .read = wl_proc_read,
+ .write = wl_proc_write
+};
+
 static int
 wl_reg_proc_entry(wl_info_t *wl)
 {
        char tmp[32];
        sprintf(tmp, "%s%d", HYBRID_PROC, wl->pub->unit);
- if ((wl->proc_entry = create_proc_entry(tmp, 0644, NULL)) == NULL) {
+ if ((wl->proc_entry = proc_create(tmp, 0644, NULL, &wlp_fops)) == NULL) {
                WL_ERROR(("%s: create_proc_entry %s failed\n", __FUNCTION__, tmp));
                ASSERT(0);
                return -1;
        }
+/*
        wl->proc_entry->read_proc = wl_proc_read;
        wl->proc_entry->write_proc = wl_proc_write;
        wl->proc_entry->data = wl;
+*/
        return 0;
 }
 #ifdef WLOFFLD

m4v (m4v) wrote :

Can we get a title that describes better this bug? Like "bcmwl 6.20 update breaks for BCM4313"? It isn't the wrong driver and should work for this card.

Dan Halbert (dhalbert) wrote :

>Can we get a title that describes better this bug?
If you are logged in, you can edit the title yourself. Just click the little circle icon of a pencil to the right of the title.

Eero Aaltonen (ejn) wrote :

Updated the title since bcmwl-kernel-source_5.100.82.112+bdcom-0ubuntu3 seems to work fine.

summary: - Wrong driver used for older Broadcom chipsets
+ bcmwl-kernel-source_6.20 update breaks for BCM4313
Chris Hermansen (c-hermansen) wrote :

Completely in agreement with bkloppenbork above in #30. Bug https://bugs.launchpad.net/bugs/1174145 is not a duplicate of this bug.

Hassan El Jacifi (waver) wrote :

I have some errors with the last driver:

Wireless card: Asus PCE-AC68
bcmwl-kernel-source: 6.30.223.141+bdcom-0ubuntu1

04:00.0 Network controller [0280]: Broadcom Corporation BCM4360 802.11ac Wireless Network Adapter [14e4:43a0] (rev 03)

[ 483.655202] ERROR @wl_cfg80211_get_station : Wrong Mac address
[ 483.655210] ERROR @wl_cfg80211_get_station : Wrong Mac address

Giannis (karzisss) wrote :

Works in 13.10 but not when you install Broadcom STA driver.

Giannis (karzisss) wrote :

sorry, works with bcmwl-kernel-source

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1097519

tags: added: iso-testing
Changed in bcmwl (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
To post a comment you must log in.